Требования к целевому уровню API для приложений Google Play

В каждой новой версии Android улучшается безопасность и производительность, а также повышается удобство для пользователей. В манифесте любого приложения есть целевой уровень API (параметр targetSdkVersion), по которому можно понять, как ведет себя приложение в разных версиях Android.

Настройка приложения на новый целевой уровень API повышает безопасность, конфиденциальность и производительность, позволяя работать при этом в старых версиях Android (чтобы указать минимальную поддерживаемую версию, используйте атрибут minSdkVersion).

Чтобы повысить уровень защиты пользователей Android и Google Play, мы вводим указанные ниже требования к целевому уровню API для всех приложений.

Определения

Новое приложение Приложение, которое ещё не опубликовано в Google Play (например, игра, которой пока нет ни на одной платформе).
Обновление приложения Новая версия приложения, которое уже опубликовано в Google Play.
Существующее приложение Опубликованное приложение без обновлений.

Требования

Версия ОС Android

Когда приложениям Google Play следует перейти на использование этого уровня API?
Новые приложения Обновления приложений** Существующие приложения

Android 12 (API уровня 31)

1 августа 2022 г.

1 ноября 2022 г.

1 ноября 2023 г.

Android 11 (API уровня 30)

2 августа 2021 г.

1 ноября 2021 г.

1 ноября 2022 г.

Совет. Технические инструкции о том, как изменить целевой уровень API в соответствии с требованиями, можно найти в этом руководстве.

Рекомендации для приложений Wear OS

Версия ОС Android

Когда приложениям Wear OS следует перейти на использование этого уровня API?
Новые приложения Обновления приложений** Существующие приложения

Android 11 (API уровня 30)

1 августа 2022 г.

1 ноября 2022 г.

Нет требований

Android 10 (API уровня 29)

Нет требований

Android 9 (API уровня 28)

1 августа 2019 г.

1 ноября 2019 г.


**Чтобы упростить переход, мы установили срок выполнения требований для обновлений приложений на несколько месяцев позже, чем для новых приложений.

Потенциальное влияние на приложения

Если ваше приложение не соответствует требуемому целевому уровню API, вы можете столкнуться со следующими ограничениями.

Приложение

Влияние

Новые приложения

Вы не сможете публиковать наборы App Bundle, которые не соответствуют требованию к целевому уровню API в Play Console.

Обновления приложений

Вы не сможете отправлять наборы App Bundle или APK, которые не соответствуют требованию к целевому уровню API в Play Console.

Существующие приложения

Ваше приложение будет недоступно в Google Play для новых пользователей, у которых версия ОС Android на устройстве соответствует более высокому целевому уровню API, чем у вашего приложения. То есть новые пользователи не смогут найти или установить ваше приложение в Google Play.

Пользователи, которые ранее уже устанавливали ваше приложение в Google Play, смогут находить, переустанавливать и использовать его. У них будет доступ к вашему приложению даже на новом устройстве Android.


Чтобы упростить переход, мы установили срок выполнения требований для обновлений приложений на несколько месяцев позже, чем для новых приложений.

Часто задаваемые вопросы

Что делать, если мне потребуется больше времени на обновление всех моих существующих приложений?

Мы понимаем, что некоторым разработчикам нужно больше времени, чтобы обеспечить соблюдение требований. Поэтому для существующих приложений мы установили срок до 1 ноября 2022 г. Если вам потребуется дополнительное время, вы сможете запросить продление с помощью формы в Play Console, которая станет доступна позднее в этом году.

Это не относится к новым приложениям и последующим обновлениям приложений.

Я больше не хочу публиковать свои старые приложения в Google Play. Что мне делать?

Как это изменение повлияет на пользователей, которые уже установили мое приложение?

Те, кто ранее устанавливал ваше приложение из Google Play, смогут находить, переустанавливать и использовать его на устройствах с любой версией ОС Android, поддерживаемой приложением.

В чем отличие этого нового правила от существующих требований к целевому уровню API?

Правило Google Play в отношении целевого уровня API обеспечивает дополнительную защиту пользователей, стимулируя разработчиков применять новые API Android с улучшенной безопасностью и системой управления разрешениями. Теперь все разработчики должны соблюдать требования новых версий Android, чтобы распространять существующие приложения среди новых пользователей на новых устройствах.

Как это изменение повлияет на скачивание приложений?  

У нас нет точного ответа на этот вопрос. Возможно снижение количества скачиваний, если пользователи на устройствах с новыми версиями ОС Android не смогут находить и скачивать ваше приложение в Google Play.

Как это изменение повлияет на сроки проверки приложений?  

Оно никак не отразится на времени проверки. Разработчики смогут обновлять свои существующие приложения в соответствии с требованиями к новым версиям ОС.
Эта информация оказалась полезной?
Как можно улучшить эту статью?

Требуется помощь?

Войдите в свой аккаунт, чтобы мы могли предоставить вам дополнительные варианты поддержки и быстрее решить вашу проблему.

Поиск
Удалить поисковый запрос
Закрыть поиск
Приложения Google
Главное меню
Поиск по Справочному центру
true
92637
false